Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

概要

React Charts は、モバイルおよびWebアプリケーションの両方でデータを視覚化するための精巧に作られたChartsコンポーネントです。線グラフから金融グラフまで、すべてのCharts作成シナリオに対応する50以上のChartsとグラフの豊富なUIギャラリーが含まれています。その高いパフォーマンスにより、パフォーマンスの問題なしに大量のデータを素早くレンダリングできます。Syncfusion React Charts を使用することで、ズーム、パン、ツールチップ、クロスヘア、トラックボール、ハイライト、選択などの豊富な機能セットを備えたレスポンシブでインタラクティブなChartsとグラフを作成できます。

なぜSyncfusion React Charts を選ぶのか?

React Charts Type image

50以上のChartsタイプ

線グラフ、棒グラフ、エリアグラフなどのシンプルな日常的なChartsから、高度にカスタマイズ可能な複雑な金融Chartsまで対応。

React Charts Animation image

Chartsアニメーション

React用Chartsは、スムーズな遷移でデータを表現する流動的なアニメーションを提供します。

React Charts Performance image

パフォーマンス

高速パフォーマンスに重点を置いた十分に検討された取り組みにより、10万件のデータを1秒以内にレンダリングできます。

React Charts Sdk image

SVGレンダリング

すべてのレスポンシブおよびスケーリングニーズに対応するベクターベースのクリーンで鮮明なレンダリング。

React Charts Data Editing image

データ編集

豊富なUIを持つReact Charts は、レンダリングされたポイントへのドラッグ&ドロップサポートを提供します。データ編集により、Charts上のデータを操作できます。

React Charts Trendlines image

トレンドライン

価格の方向と動きの速度を表示します。トレンドラインは、棒グラフを除くカルテシアンタイプのシリーズ(線、列、散布、エリア、キャンドル、HiLo など)に対して生成できます。

React Charts Global Local image

グローバル化とローカライゼーション

異なるロケールのユーザーが、日付、通貨、番号付けを好みに合わせてフォーマットして使用できるようにします。

React Charts Export image

エクスポート

グラフをPDFドキュメントやSVG、PNG、JPEGなどの画像形式にエクスポートし、ChartsデータをXLSXやCSV形式にもエクスポートできます。

あなたのビジネスのための強力で使いやすく機能豊富なReact Charts


React Charts コード例

以下に示すような数行のHTMLとJavaScriptコード例を使用してReact Charts を簡単に開始できます。また、ReactでChartsをレンダリングおよび構成する方法を示すReact Charts Example もご確認ください。

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import { AxisModel, Category, ChartComponent, Inject, LineSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data : any[]= [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[LineSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='Line'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
mobile addaptive icon

モバイルファーストアプローチ

単一のコードベースでReact Charts を開発し、あらゆるWeb、モバイル、タブレット環境に適応する十分に考慮されたモバイル適応アーキテクチャ。モバイルデバイス内で美しく、レスポンシブで、インタラクティブ、アニメーション化されたChartsをレンダリングします。

アクセシビリティ

Keyboard navigation in React Charts.

キーボードナビゲーション

すべての要素がキーボードでアクセス可能であることを保証します。選択、ハイライト、ツールチップ、レジェンドの折りたたみ、ズームとパンなどの主要な機能は、キーボードコマンドのみで実行できます。マウスの操作は必要ありません。これにより、このReact Charts コンポーネントを使用して高いアクセシビリティを持つアプリケーションを作成できます。

Accessibility and screen reader support in React Chart.

スクリーンリーダー

React Charts ビューは完全なWAI-ARIAアクセシビリティサポートを持っています。このUIには高コントラストな視覚要素が含まれており、視覚障害のある人が最高の表示体験を得られるようになっています。また、有効なUIの説明は、スクリーンリーダーなどの支援技術を通じて簡単にアクセスできます。

Show right-to-left language in React Charts.

右から左(RTL)

右から左レンダリングにより、React Charts のテキストとレイアウトを右から左に表示できます。これにより、RTL言語のユーザーエクスペリエンスとアクセシビリティが向上します。

その他の主要な対応フレームワーク

Reactに加えて、これらの主要なフレームワークに対する組み込み統合が利用可能です。

最初のReact Charts の作成方法がわからない場合は、チュートリアルビデオとドキュメントが役立ちます。

今すぐ見たい 今すぐ読みたい

よくある質問

最も要求の厳しいデータ視覚化を強力にサポートするために、以下の機能を持つSyncfusion React Charts を使用してください:

  • 50以上のChartsタイプとエレガントなアニメーションをサポート。

  • React アプリでの驚異的な高速読み込み時間と豊富なUIインタラクション

  • SVGとCanvasの両方のレンダリングをサポート(高速レンダリング用)。

  • 注釈オプションを使用してChartsにカスタム要素を追加できます。

  • 複数のChartsにデータを表示する際、同期Chartsはツールチップ、クロスヘア、選択、ズーム機能をすべてのChartsで調整することで視覚化を強化します。

  • JSON、RESTfulサービス、ODataサービス、WCFサービスなどのローカルおよびリモートデータソースの使用をサポートする柔軟なデータバインディング

  • ソフトウェアとやり取りするための機能豊富なUIを提供する市場最高のReact Charts の一つ。
  • シンプルな設定とAPI

  • すべての最新ブラウザをサポート。
  • モバイルタッチフレンドリーでレスポンシブ。
  • React Charts をすばやく学習し、開始するためのデモドキュメントなどの豊富な学習リソース。

React Charts は個別に販売していません。Syncfusion チームライセンスの一部としてのみ購入できます。これには、React Charts を含む 以上のコンポーネントとフレームワークが含まれています。チームライセンスの価格は、5人の開発者で月額$395から始まり、サブスクリプションが期限切れになるまでサポートと更新が含まれます。さらに、現在有効なプロモーションに基づいて割引を提供する場合があります。追加割引の対象となるかどうかについては、今すぐ製品スペシャリストにお問い合わせください。

Charts のレンダリングと設定方法を実演するReact Charts デモをご確認いただけます。

いいえ、React Charts を含む 以上のコンポーネントとフレームワーク(Web、モバイル、デスクトップ向け)は個別に販売されていません。チームライセンスの一部としてのみ利用可能です。ただし、当社では競合他社がChartsコンポーネント単体で請求する金額と少しだけ多い程度の競争力のある価格設定を行っています。また、経験上、お客様は通常、当社の製品の1つを使用し始めてから、すぐに複数の製品に拡張することが多いため、5人の開発者チームで月額$395から始まるサブスクリプション料金で全 以上のコンポーネントとフレームワークを提供することが最良だと感じました。さらに、現在有効なプロモーションに基づいて割引を提供できる場合があります。追加割引の対象となるかどうかについては、今すぐ製品スペシャリストにお問い合わせください。

いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間総収益が100万米ドル未満で、開発者が5人以下の企業および個人には、無料コミュニティライセンスも利用できます。

包括的なはじめにドキュメントから始めることをお勧めします。

お客様は私たちを愛しています

優れたツール群と充実したサポートチームにより、Syncfusion® はお客様の開発時間を短縮します。
お客様の体験談の一部をご紹介します。

実際の成功事例を見る

世界中の開発者が複雑なプロジェクトを簡素化し、納期を短縮するために Syncfusion の Essential Studio を信頼しています。豊富な UI コントロール ライブラリ、強力な SDK、信頼できるサポートにより、Essential Studio はチームがエンタープライズ対応のアプリケーションを自信を持って構築できるよう支援します。

ケーススタディを探る


世界中のユーザーからの評価

受賞歴

偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。

React Charts ブログとチュートリアルの最近の活動

React Charts ブログとチュートリアルビデオの投稿は、React コンポーネントで最初のアプリを構築する際にガイドします。問題解決戦略を提供し、機能や機能性を説明し、新機能リリースを発表し、ベストプラクティスを説明し、サンプルシナリオを紹介します。React Charts の更新について、ブログとチュートリアルビデオチャンネルの最新投稿をご確認ください。

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

概要

Angular Chartsは、データ可視化のために巧妙に作られたChartsコンポーネントです。線形から金融Chartsまで、すべてのCharts作成シナリオに対応する50種類以上のChartsとGraphsの豊富なUIギャラリーを含んでいます。その高いパフォーマンスにより、大量のデータを迅速にレンダリングできます。また、ズーム、パン、ツールチップ、クロスヘア、トラックボール、ハイライト、選択などの機能も備えています。

なぜSyncfusion Essential Studio® Angular Chartsを選ぶべきか?

Angular Chart Type image

50種類以上のChartsタイプ

線Charts、棒Charts、エリアChartsなどの日常的なAngular Chartsから、高度にカスタマイズ可能な複雑な金融Chartsまで幅広く対応。

Angular Chart Animation image

Chartsアニメーション

Angular用Chartsは、スムーズなトランジションでデータを表現するための流動的なアニメーションを提供します。

Angular Chart Performance image

パフォーマンス

Angular Chartsは高速パフォーマンスを提供するよう徹底的に設計されており、1秒未満で100Kのデータポイントをレンダリングできます。

Angular Chart Sdk image

SVGレンダリング

レスポンシブ性とスケーリングのニーズに対応するベクトルベースの清潔で鮮明なレンダリング。

Angular Chart Data Editing image

データ編集

リッチなUIを持つAngular Chartsは、レンダリングされたポイントにドラッグ&ドロップサポートを提供します。データ編集により、Charts上のデータを操作できます。

Angular Chart Trendlines image

トレンドライン

価格の方向性と動きの速度を表示します。トレンドラインは、棒グラフを除くデカルト型系列(線、縦棒、散布図、エリア、キャンドル、高低など)に対して生成できます。

Angular Chart Global Local image

グローバル化とローカライゼーション

異なるロケールのユーザーが、日付、通貨、数値フォーマットを好みに合わせてAngular Graphsを使用できます。

Angular Chart Export image

エクスポート

ChartsをPDFドキュメントまたはSVG、PNG、JPEGなどの画像形式でエクスポートします。

あなたのビジネスのための強力で使いやすく、機能豊富なAngular Charts


Angular Charts コード例

以下に示すようにHTMLとTSコードの数行で、Angular Chartsを簡単に始めることができます。また、AngularでChartsをレンダリングし設定する方法を示すAngular Charts例もご覧ください。

<ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
<e-series-collection>
  <e-series [dataSource]='data' type='Line' xName='x' yName='y'> </e-series>
</e-series-collection>
</ejs-chart>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { LineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ LineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }
mobile addaptive icon

モバイルファーストアプローチ

単一のコードベースと良く考えられたモバイル適応アーキテクチャでAngular Chartsを開発し、あらゆるWeb、モバイル、タブレット環境に適応します。モバイルデバイス内で美しく、レスポンシブで、インタラクティブで、アニメーション化されたChartsをレンダリングします。

アクセシビリティ

Angular用Chartsのキーボードナビゲーション。

キーボードナビゲーション

Angular Chartsは、すべての要素がキーボードでアクセス可能であることを保証します。選択、ハイライト、ツールチップ、凡例の折りたたみ、ズーム、パンなどの主要機能は、キーボードコマンドだけで実行できます。マウス操作は必要ありません。これにより、このコンポーネントを使用して高度にアクセス可能なアプリケーションを作成できます。

Angular Chartのアクセシビリティとスクリーンリーダーサポート。

スクリーンリーダー

Angular Chartsビューは、完全なWAI-ARIAアクセシビリティサポートを持っています。このUIには高コントラストの視覚要素が含まれており、視覚障害のある人が最高の表示体験を得るのに役立ちます。また、有効なUI記述は、スクリーンリーダーなどの支援技術を通じて簡単にアクセスできます。

Angular Chartsで右から左への言語を表示。

右から左 (RTL)

右から左へのレンダリングにより、Angular Chartsのテキストとレイアウトを右から左に表示できます。これにより、RTL言語のユーザー体験とアクセシビリティが向上します。


Angularバージョン互換性

Angularバージョンの継続的な改善により、Angular Chartsはバージョン4から最新バージョンまでとの互換性を保つために最新の状態に保たれています。

Charts Angular バージョン互換性。

サポートされている他のフレームワーク

ChartsはBlazor、React、JavaScript、Vueフレームワークで利用可能です。以下のリンクからプラットフォーム固有のオプションをご覧ください:

サポートされているブラウザ

Angular Chartsは、Chrome、Firefox、Edge、Safari、Operaを含むすべての最新Webブラウザで正常に動作します。

最高のAngular Chartsサポートブラウザ。


初めてのAngular Chartsの作成方法がわからないですか?チュートリアルビデオとドキュメントがお役に立ちます。

今すぐ見たい 今すぐ読みたい

よくある質問

Syncfusion Angular Chartsコンポーネントは以下の機能をサポートしています:

  • 50種類以上のChartsタイプとエレガントなアニメーションをサポート。

  • Angularアプリでの驚異的な高速読み込み時間と豊富なUIインタラクション

  • SVGとCanvasの両方のレンダリングをサポート(高速レンダリング用)。

  • 注釈オプションを使用してChartsにカスタム要素を追加できます。

  • JSON、RESTfulサービス、ODataサービス、WCFサービスなどのローカルおよびリモートデータソースの使用をサポートする柔軟なデータバインディング

  • ソフトウェアとインタラクションするための機能豊富なUIを提供する市場最高のAngular Chartsの1つ。
  • シンプルな設定とAPI

  • すべての最新ブラウザをサポート。
  • 複数のChartsでデータを表示する際、同期ChartsはすべてのCharts間でツールチップ、クロスヘア、選択、ズーム機能を調整することで可視化を強化します。

  • モバイルタッチフレンドリーでレスポンシブ。
  • Angular Chartsで迅速に学習し開始するためのデモドキュメントビデオなどの豊富な学習リソース。

いいえ、Angular Chartsを含む種類以上のWeb、モバイル、デスクトップ向けコンポーネントとフレームワークは、個別に販売されていません。これらはチームライセンスの一部としてのみ利用可能です。ただし、競争力のある価格設定により、他の一部ベンダーがChartsコンポーネント単体で請求する価格よりもわずかに高い程度の価格になっています。私たちの経験では、お客様は通常、私たちの製品の1つから使い始めて、すぐに複数の製品に拡張することがわかったため、種類以上のすべてのコンポーネントとフレームワークを、5人の開発者チームで月額$395から始まるサブスクリプション料金で提供するのが最適だと考えました。さらに、現在実施中のプロモーションに基づいて割引を提供できる場合があります。追加割引の対象となるかどうかを確認するため、今すぐ製品スペシャリストにお問い合わせください。

いいえ、これは商用製品であり、有料ライセンスが必要です。ただし、年間総収入が100万米ドル未満で、開発者が5名以下の企業および個人には無料コミュニティライセンスも提供されています。

始めるのに良い場所は、包括的な入門ドキュメントです。

Syncfusion Angular Chartsを使用すると、50種類以上のChartsタイプを使用してデータを可視化できます。各Chartsタイプは、美しい視覚効果を作成するための組み込みサポートで簡単に設定できます。

Angular Chartsを個別に販売はしていません。Syncfusion チームライセンスの一部としてのみ購入可能です。これにはAngular Chartsを含む種類以上のコンポーネントとフレームワークが含まれています。チームライセンスの価格は5人の開発者で月額$395から始まり、サブスクリプションが期限切れになるまでサポートとアップデートが含まれます。さらに、現在実施中のプロモーションに基づいて割引を提供する場合があります。追加割引の対象となるかどうかを確認するため、今すぐ製品スペシャリストにお問い合わせください。

Chartsのレンダリングと設定方法を示すAngular Chartsデモを見つけることができます。

お客様は私たちを愛しています

優れたツール群と充実したサポートチームにより、Syncfusion® はお客様の開発時間を短縮します。
お客様の体験談の一部をご紹介します。

実際の成功事例を見る

世界中の開発者が複雑なプロジェクトを簡素化し、納期を短縮するために Syncfusion の Essential Studio を信頼しています。豊富な UI コントロール ライブラリ、強力な SDK、信頼できるサポートにより、Essential Studio はチームがエンタープライズ対応のアプリケーションを自信を持って構築できるよう支援します。

ケーススタディを探る


世界中のユーザーからの評価

受賞歴

偉大さ—自分で言うのではなく、他の人が認めるからこそ意味があります。 シンクフュージョンは以下の賞をいただきました。

Angular Chartsチュートリアルとブログの最近の活動

Angular Chartsのチュートリアルビデオとブログ投稿は、Angularコンポーネントを使用して初めてのアプリを構築する際の指針となります。問題解決戦略を提供し、機能と機能性を説明し、新機能リリースを発表し、ベストプラクティスを説明し、例のシナリオを紹介します。Angular Chartsの更新については、ブログとチュートリアルビデオチャンネルで最新の投稿をご覧ください。

Up arrow icon